diff -urN firefox-154.0-orig/browser/components/urlbar/content/UrlbarView.mjs firefox-154.0/browser/components/urlbar/content/UrlbarView.mjs
--- firefox-154.0-orig/browser/components/urlbar/content/UrlbarView.mjs	2026-08-13 06:13:24 +0900
+++ firefox-154.0/browser/components/urlbar/content/UrlbarView.mjs	2026-08-20 12:04:48 +0900
@@ -1505,24 +1505,18 @@
   }
 
   #createRowContent(item) {
-    // The url is the only element that can wrap, thus all the other elements
-    // are child of noWrap.
-    let noWrap = this.#createElement("span");
-    noWrap.className = "urlbarView-no-wrap";
-    item._content.appendChild(noWrap);
-
     let favicon = this.#createElement("img");
     favicon.className = "urlbarView-favicon";
-    noWrap.appendChild(favicon);
+    item._content.appendChild(favicon);
     item._elements.set("favicon", favicon);
 
     let typeIcon = this.#createElement("span");
     typeIcon.className = "urlbarView-type-icon";
-    noWrap.appendChild(typeIcon);
+    item._content.appendChild(typeIcon);
 
     let tailPrefix = this.#createElement("span");
     tailPrefix.className = "urlbarView-tail-prefix";
-    noWrap.appendChild(tailPrefix);
+    item._content.appendChild(tailPrefix);
     item._elements.set("tailPrefix", tailPrefix);
     // tailPrefix holds text only for alignment purposes so it should never be
     // read to screen readers.
@@ -1538,6 +1532,20 @@
     tailPrefix.appendChild(tailPrefixChar);
     item._elements.set("tailPrefixChar", tailPrefixChar);
 
+    let url = this.#createElement("span");
+    url.className = "urlbarView-url";
+    item._content.appendChild(url);
+    item._elements.set("url", url);
+
+    let noWrap = this.#createElement("span");
+    noWrap.className = "urlbarView-no-wrap";
+    item._content.appendChild(noWrap);
+
+    let titleSeparator = this.#createElement("span");
+    titleSeparator.className = "urlbarView-title-separator";
+    noWrap.appendChild(titleSeparator);
+    item._elements.set("titleSeparator", titleSeparator);
+
     let title = this.#createElement("span");
     title.classList.add("urlbarView-title", "urlbarView-overflowable");
     noWrap.appendChild(title);
@@ -1548,21 +1556,11 @@
     noWrap.appendChild(tagsContainer);
     item._elements.set("tagsContainer", tagsContainer);
 
-    let titleSeparator = this.#createElement("span");
-    titleSeparator.className = "urlbarView-title-separator";
-    noWrap.appendChild(titleSeparator);
-    item._elements.set("titleSeparator", titleSeparator);
-
     let action = this.#createElement("span");
     action.className = "urlbarView-action";
     noWrap.appendChild(action);
     item._elements.set("action", action);
 
-    let url = this.#createElement("span");
-    url.className = "urlbarView-url";
-    item._content.appendChild(url);
-    item._elements.set("url", url);
-
     this.#createExplanation(item._content, item);
   }
 
diff -urN firefox-154.0-orig/browser/themes/shared/urlbar/view-proton.css firefox-154.0/browser/themes/shared/urlbar/view-proton.css
--- firefox-154.0-orig/browser/themes/shared/urlbar/view-proton.css	2026-08-13 06:13:25 +0900
+++ firefox-154.0/browser/themes/shared/urlbar/view-proton.css	2026-08-20 11:23:42 +0900
@@ -200,7 +200,7 @@
 
 .urlbarView-no-wrap {
   max-width: 100%;
-  flex-grow: 0;
+  flex-grow: 1;
   flex-shrink: 0;
 
   .urlbarView[action-override] .urlbarView-row[has-url] > .urlbarView-row-inner > &,
@@ -293,7 +293,6 @@
   direction: ltr !important;
 }
 
-.urlbarView-url:-moz-locale-dir(rtl),
 .urlbarView-explanation:-moz-locale-dir(rtl) {
   /* .urlbarView-url can grow due to `flex-grow: 1`, so without `text-align:
      right`, the URL text would be left-aligned within .urlbarView-url for RTL
@@ -693,6 +692,7 @@
 /* Action labels */
 
 .urlbarView-action {
+  display: none;
   white-space: nowrap;
 
   .urlbarView-title:not(:empty) ~ & {
@@ -836,9 +836,11 @@
 
 /* URLs and result explanations */
 
+.urlbarView-url {flex-grow: 0;}
+.urlbarView-explanation {flex-grow: 1;}
+
 .urlbarView-url,
 .urlbarView-explanation {
-  flex-grow: 1;
   flex-shrink: 1;
   font-size: var(--urlbarView-small-font-size);
   /* Increase line-height to avoid cutting overhanging glyphs due to masking on
